"""Ferda public request app config."""
from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _
from ferda.backend import LOGGER_CLIENT
from ferda.constants import LOGGER_SERVICE

from .constants import LogEntryType, LogReferenceType
from .settings import FerdaPubreqSettings


class FerdaPubreqConfig(AppConfig):
    """Ferda public request app config."""

    name = "ferda_pubreq"
    verbose_name = _("Public requests")

    def ready(self) -> None:
        """Check configuration."""
        FerdaPubreqSettings.check()
        LOGGER_CLIENT.register_log_entry_types(LOGGER_SERVICE, log_entry_types=LogEntryType)
        LOGGER_CLIENT.register_object_reference_types(reference_types=LogReferenceType)
