from unittest.mock import call, patch

from django.apps import apps
from django.test import SimpleTestCase, override_settings
from ferda.constants import LOGGER_SERVICE

from ferda_pubreq.constants import LogEntryType, LogReferenceType


class FerdaPubreqConfigTest(SimpleTestCase):
    def setUp(self):
        apps.clear_cache()

    def tearDown(self):
        apps.clear_cache()

    @patch("ferda_pubreq.apps.LOGGER_CLIENT", autospec=True)
    def test_ready(self, mock):
        with override_settings(INSTALLED_APPS=["ferda_pubreq.apps.FerdaPubreqConfig"]):
            apps.get_app_config("ferda_pubreq")  # get_app_config calls ready()
            self.assertEqual(
                mock.mock_calls,
                [
                    call.register_log_entry_types(LOGGER_SERVICE, log_entry_types=LogEntryType),
                    call.register_object_reference_types(reference_types=LogReferenceType),
                ],
            )
