"""Ferda public request urls."""
from django.conf import settings
from django.urls import path
from ferda.api import PydanticJsonRenderer
from ninja import NinjaAPI

from ferda_pubreq.views import PubreqIndexView

from .api import router

api = NinjaAPI(
    urls_namespace="ferda_pubreq:api",
    # Show API docs in debug mode only
    openapi_url=settings.DEBUG and "/openapi.json" or "",
    csrf=True,
    renderer=PydanticJsonRenderer(),
)
api.add_router("/public-request/", router)

app_name = "ferda_pubreq"

urlpatterns = [
    path("", PubreqIndexView.as_view(), name="index"),
    path("api/", api.urls),
]
