"""Ferda public request utils."""
from typing import Any

from asgiref.sync import sync_to_async
from django.http import HttpRequest as Request
from ferda.backend import LOGGER
from ferda.constants import LOGGER_SESSION_KEY
from grill.logger import LogEntry

from .constants import LogEntryType


async def create_log_entry(
    request: Request, log_entry_type: LogEntryType, /, **kwargs: Any
) -> LogEntry:
    """Create log entry."""
    log_entry = LOGGER.create(
        log_entry_type,
        source_ip=request.META.get("REMOTE_ADDR", ""),
        session_id=await sync_to_async(request.session.get)(LOGGER_SESSION_KEY),
        **kwargs,
    )
    return log_entry
